Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jasper.runtime
Class JspApplicationContextImpl

    java.lang.Object
      org.apache.struts2.jasper.runtime.JspApplicationContextImpl

All Implemented Interfaces:
  javax.servlet.jsp.JspApplicationContext

    public class JspApplicationContextImpl

extends Object
implements javax.servlet.jsp.JspApplicationContext

Implementation of JspApplicationContext

Author:
  Jacob Hookom

Constructor Summary
`JspApplicationContextImpl()`

Method Summary
`void` | `addELContextListener(javax.el.ELContextListener listener)`
`void` | `addELResolver(javax.el.ELResolver resolver)`
`ELContextImpl` | `createELContext(javax.servlet.jsp.JspContext context)`
`javax.el.ExpressionFactory` | `getExpressionFactory()`
`static JspApplicationContextImpl` | `getInstance(javax.servlet.ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspApplicationContextImpl

    public JspApplicationContextImpl()

Method Detail

### addELContextListener

    public void addELContextListener(javax.el.ELContextListener listener)

  Specified by:
    `addELContextListener` in interface `javax.servlet.jsp.JspApplicationContext`

### getInstance

    public static JspApplicationContextImpl getInstance(javax.servlet.ServletContext context)

### createELContext

    public ELContextImpl createELContext(javax.servlet.jsp.JspContext context)

### addELResolver

    public void addELResolver(javax.el.ELResolver resolver)
                       throws IllegalStateException

  Specified by:
    `addELResolver` in interface `javax.servlet.jsp.JspApplicationContext`
  Throws:
    `IllegalStateException`

### getExpressionFactory

    public javax.el.ExpressionFactory getExpressionFactory()

  Specified by:
    `getExpressionFactory` in interface `javax.servlet.jsp.JspApplicationContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.